#
# spec file for package wxsvg
#
# Copyright (c) 2012-2015 Mariusz Fik <fisiu@opensuse.org>
# Copyright (c) -2012 Others
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


%define         soname      3

Name:           wxsvg
Version:        1.5.11
Release:        2.1
Summary:        Library to create, manipulate and render SVG files
License:        WXwindows
Group:          System/Libraries
Url:            http://wxsvg.sourceforge.net/
Source:         http://prdownloads.sourceforge.net/wxsvg/%{name}-%{version}.tar.bz2
BuildRequires:  gcc-c++
BuildRequires:  libart_lgpl-devel
BuildRequires:  libexpat-devel
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libavformat) > 57
#= 56.40.101
BuildRequires:  pkgconfig(libavcodec) > 57
#= 56.60.100
BuildRequires:  pkgconfig(libavutil) > 55
#= 54.31.100
BuildRequires:  pkgconfig(libswscale) > 4
#= 3.1.101
BuildRequires:  pkgconfig(libexif)
BuildRequires:  wxWidgets-devel >= 3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
WxSVG is C++ library to create, manipulate and render SVG files.

%package -n     lib%{name}%{soname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries

%description -n lib%{name}%{soname}
Dynamic libraries from %{name}, as required at runtime.

%package -n     lib%{name}-devel
Summary:        Header files and static libraries from %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       gcc-c++
Requires:       lib%{name}%{soname} = %{version}
Requires:       libart_lgpl-devel
Requires:       libexpat-devel
Requires:       wxWidgets-devel >= 3

%description -n lib%{name}-devel
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q

%build
export CXXFLAGS="%{optflags} -lswscale"
%configure --disable-static
make  %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -type f -name "*.la" -delete -print

%post -n lib%{name}%{soname} -p /sbin/ldconfig

%postun -n lib%{name}%{soname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING TODO
%{_bindir}/svgview

%files -n lib%{name}%{soname}
%defattr(-,root,root)
%{_libdir}/libwxsvg.so.%{soname}
%{_libdir}/libwxsvg.so.%{soname}.*

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/wxSVG
%{_includedir}/wxSVGXML
%{_libdir}/libwxsvg.so
%{_libdir}/pkgconfig/libwxsvg.pc

%changelog
* Tue Jan  3 2017 davejplater@gmail.com
- Update to 1.5.11
- Upstream changes:
  * wxSVGImage: fixed displaying of first video frame
  * added support of EXIF metadata
* Wed Sep  7 2016 davejplater@gmail.com
- Update to 1.5.9
- Upstream changes:
  * changed GetBBox() and GetResultBBox()
  * added some missing header files
* Sun Jun 26 2016 davejplater@gmail.com
- Update to version 1.5.8
- Upstream changes:
  Version 1.5.8 <2016-06-05>
  * fixed ApplyAnimation
  Version 1.5.7 <2016-05-03>
  * wxFfmpegMediaDecoder: added GetChapters() and GetMetadata()
  * fixed SVGAnimationElement
  Version 1.5.6 <2016-03-11>
  * fixed SVGAnimationElement
  Version 1.5.5 <2015-10-03>
  * fixed rendering image element with mask
  * wxFfmpegMediaDecoder: added GetFormatName() and GetCodecTag()
  * wxFfmpegMediaDecoder: fixed wxSVGCanvasVideo
* Tue Sep 22 2015 olaf@aepfle.de
- Use pkgconfig for ffmpeg BuildRequires
* Sun Apr  5 2015 fisiu@opensuse.org
- Update to 1.5.4:
  * added support of 3-digit hex color codes.
* Tue Mar 10 2015 aloisio@gmx.com
- Update to version 1.5.3 <2015-01-18>
  * applied patch from Sebastian Vater to fix memory leak
- version 1.5.2 <2014-12-14>
  * fixed memory leak (thanks to Sebastian Vater)
- version 1.5.1 <2014-11-23>
  * fixed some compiler errors
* Sat Nov 15 2014 fisiu@opensuse.org
- Update to 1.5:
  * added support of marker element
  * added support of patternTransform attribute
  * added support of stroke-dasharray (1.4.2)
  * fixed handling of preserveAspectRatio="none" (1.4.2)
  * fixed rendering of tspan-element (1.4.1)
  * fixed rendering of use element in pattern and mask elements (1.4.1)
  * added support of pattern element (1.4)
* Fri May 23 2014 fisiu@opensuse.org
- Update to 1.3:
  * added support of animations
  * fixed some GetBBox() methods
  * fixed loading images with relative path (in 1.2.1)
* Sat Sep 21 2013 fisiu@opensuse.org
- Update to 1.2:
  * added initial support of animations
  * added support of mask for image element
  * removed obsolete backends (libart and agg)
  * removed svgui classes
* Thu Sep  5 2013 fisiu@opensuse.org
- Update to 1.1.16:
  * added support of wxProgressDialog
* Tue Jul 23 2013 fisiu@opensuse.org
- Update to 1.1.15:
  * fixed text rendering using PangaCairo.
* Tue Apr  9 2013 fisiu@opensuse.org
- Update to 1.1.14:
  * fixed wxSVGPathSegList::GetValueAsString()
  * fixed wxSVGLengthList::SetValueAsString()
  * fixed rendering of text if text-anchor is set to end
  * fixed rendering of wxSVGCanvasVideo
* Mon Feb 25 2013 fisiu@opensuse.org
- Update to 1.1.13:
  + fixed handling of clipPath element
- Drop wxsvg-libtoolize-fix.patch and use sed instead in spec so
  no need to adjust patch with every DVDStyler update
* Sat Jan 26 2013 fisiu@opensuse.org
- Update to 1.1.12:
  + fixed text rendering using PangaCairo
  + fixed GetPosition() in wxFfmpegMediaDecoder (1.1.10)
- wxsvg-libtoolize-fix.patch updated
* Thu Dec 27 2012 fisiu@opensuse.org
- Use proper Requires for -devel package.
* Thu Dec 13 2012 fisiu@opensuse.org
- Update to 1.1.9:
  + support for ffmpeg 0.11 and libav 0.9
- wxsvg-libtoolize-fix.patch updated
- Fixes since last package version on packman:
  + fixed memory leak and storing xml file
  + fixed rendering of radial gradients
  + fixed handling of aspect ratio of video
  + clipPath element and visibility style property supported
* Sat May 19 2012 seife+obs@b1-systems.com
- fix build with newer libtool (12.2)
* Sun Nov 27 2011 detlef@links2linux.de
- new upstream version <1.1.5>
  * wxSVGTextContentElement: added handling of xml:space attribute
  * wxSVGVideoElement: added handling of attributes begin, dur, clipBegin and
    clipEnd
* Thu Nov 17 2011 detlef@links2linux.de
- new upstream version <1.1.3>
  * SVGImageElement: added support of SVG images
  * added support of Gaussian blur filter
* Sat Aug 20 2011 detlef@links2linux.de
- new upstream version <1.1.2>
  * added handling of preserveAspectRatio attribute
* Fri Aug  5 2011 detlef@links2linux.de
- new upstream version <1.1.1>
  * fixed text rendering
  * fixed rendering of video
* Sat Jun 18 2011 detlef@links2linux.de
- new upstream version <1.0.10>
  * fixed wxSVGCanvasImage::Init()
* Sun Feb 27 2011 detlef@links2linux.de
- new upstream version <1.0.8>
  * fixed wxFfmpegMediaDecoder::GetFrameAspectRatio()
* Mon Aug 30 2010 detlef@links2linux.de
- new upstream version <1.0.7.1>
* Sun Aug 29 2010 detlef@links2linux.de
- new upstream version <1.0.6>
  * fixed rendering of video frame
* Fri Jul 23 2010 detlef@links2linux.de
- new upstream version <1.0.5>
  * added possibility to render without preserving aspect ratio.
  * fixed bug in wxSVGCanvasTextFreetype
* Wed Mar 31 2010 detlef@links2linux.de
- new upstream version <1.0.4>
  * fixed memory leak (thanks to Lucian Ion)
* Fri Mar 12 2010 detlef@links2linux.de
- new upstream version <1.0.3>
  * fixed handling of image alpha channel
  * changed to use system expat library
* Sat Jan 30 2010 detlef@links2linux.de
- new upstream version <1.0.2>
* Sat Dec 27 2008 detlef@links2linux.de
- new upstream version <1.0f>
  * added ffmpeg media decoder
  * added support of agg 2.5
  * implemented baseline
  * fixed text-anchor
  * added support of svg gradients
  * implemented GetResultBBox() (SVG1.2)
  * added parameter coordinates (wxSVG_COORDINATES) to GetBBox()
  * fixed text rendering under some platforms
  * implemented saving
  * added GetOwnerDocument()
  * added GetAttribute()
  * fixed CloneNode() and copy constructors
  * added copy constructor to wxSVGPathSegList
  * added rect parameter to wxSVGDocument::Render()
  * wxSVGCtrl: fixed refresh (redraw buffer only in OnPaint)
  * added cairo backend (disabled by default)
  * some other small changes and bug fixes
* Tue Sep 16 2008 detlef@links2linux.de
- new upstream version <1.0b11>
* Wed Apr  2 2008 detlef@links2linux.de
- change to wxWidgets
* Thu Mar  6 2008 detlef@links2linux.de
- new upstream version <1.0b10>
* Mon Jan  7 2008 detlef@links2linux.de
- new upstream version <1.0b8>
* Fri Jan  5 2007 detlef@links2linux.de
- new upstream version
* Thu Jun 15 2006 detlef@links2linux.de
- first build for SUSE (Packman)
* Tue Apr 11 2006 jmartin@mandriva.org
- beta6
- Fixed licence
* Fri Feb  3 2006 austin@mandriva.org
- beta5 + fixes from cvs
* Fri Dec 30 2005 austin@mandriva.org
- initial package
